# implementation

abstract fun implementation(notation: Any)

Adds an implementation dependency to this component. An implementation dependency is not visible to consumers that are compiled against this component.

#### Parameters

notation

The dependency notation, as per create.

abstract fun implementation(notation: Any, action: Action<in ExternalModuleDependency>)

Adds an implementation dependency to this component. An implementation dependency is not visible to consumers that are compiled against this component.

#### Parameters

notation

The dependency notation, as per create.

action

The action to run to configure the dependency.